package findyourfate.com.rahuketupeyarchi; 
 

import android.annotation.SuppressLint;  
import android.app.Activity;
import android.app.AlertDialog; 
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;  
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.StrictMode; 
import android.text.Html;
import android.util.DisplayMetrics; 
import android.view.Menu; 
import android.view.MenuInflater;
import android.view.MenuItem;  
import android.webkit.WebView;

import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;

public class rahucontent extends AppCompatActivity
{  
  
    final Context context = this;
    int fsize ; 

    WebView content; 
	@SuppressLint("NewApi")
	@Override
	public void onCreate(Bundle savedInstanceState) {
		  StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().detectDiskReads().detectDiskWrites().detectNetwork() .penaltyLog().build()); 
		  super.onCreate(savedInstanceState);
			setContentView(R.layout.rahucontent);  

			 content = (WebView) findViewById(R.id.webcontent);

		 	         String text = null;


		ActionBar actionBar = getSupportActionBar();
		if (actionBar != null) {
			// Enable the home button and set display options
			actionBar.setDisplayHomeAsUpEnabled(true);
			actionBar.setDisplayOptions(ActionBar.DISPLAY_SHOW_HOME | ActionBar.DISPLAY_SHOW_TITLE | ActionBar.DISPLAY_SHOW_CUSTOM);

			// Set the title of the ActionBar
			actionBar.setTitle(Html.fromHtml("<font color=\"#ffffff\" size=\"18px\">"+"Rahu Ketu Peyarchi-About"+"</font>"));


			// Enable the home button for backward compatibility
			if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.ICE_CREAM_SANDWICH) {
				actionBar.setHomeButtonEnabled(true);
			}

			// Show the ActionBar
			actionBar.show();
		}
		 	       DisplayMetrics metrics = new DisplayMetrics(); 
		 	        Activity activity = (Activity) context;
		 	        activity.getWindowManager().getDefaultDisplay().getMetrics(metrics);
		 	         
		 	       String userAgent = new WebView(context).getSettings().getUserAgentString();
			        if (userAgent.contains("Mobile")) {
			       
		        if (metrics.densityDpi <= DisplayMetrics.DENSITY_LOW) {
		        	//Toast.makeText(this, "low screen",Toast.LENGTH_LONG).show();
		        	fsize=1;
		        	 
		        } else if (metrics.densityDpi <= DisplayMetrics.DENSITY_HIGH) {
		        	// Toast.makeText(this, "high screen",Toast.LENGTH_LONG).show();
		        	fsize=3;
		        	 
		        }
		        else if (metrics.densityDpi <= DisplayMetrics.DENSITY_MEDIUM) {
		        	// Toast.makeText(this, "medium screen",Toast.LENGTH_LONG).show();
		        	fsize=2;
		        	 
		        }
		        else if (metrics.densityDpi <= DisplayMetrics.DENSITY_XHIGH) {
		        	 //Toast.makeText(this, "xLarge screen",Toast.LENGTH_LONG).show();
		        	fsize=4;
		        	 
		        }
		        else if (metrics.densityDpi <= DisplayMetrics.DENSITY_XXHIGH) {
		        	// Toast.makeText(this, "xxLarge screen",Toast.LENGTH_LONG).show();
		        	fsize=5;
		        	 
		        }
		        else if (metrics.densityDpi <= DisplayMetrics.DENSITY_XXXHIGH) {
		        	 
		        	fsize=6;
		        	 
		        }
		        else {
		        	 
		        	fsize=3;
		        	 
		        }
			        }
			        else
			        {
			        	fsize=4;
			        }
			        
	        
	        
	       	  
			  

			//  rview.addRule(RelativeLayout.ALIGN_PARENT_BOTTOM);
			  //rview.addRule(RelativeLayout.CENTER_IN_PARENT);
			  
			  
	      //  layout.setBackgroundColor(Color.BLACK);  
		            
		             
		             content.getSettings().setSupportZoom(true); 
		             content.getSettings().setBuiltInZoomControls(true); 
		             text = "<html><head><style type=\"text/css\">@font-face {font-family: MyFont;src: url('file:///android_asset/fonts/ARIAL.TTF')}body {font-family: MyFont; text-align: justify;}</style></head><body>"+"<p align=\"center\" style=\"font-family:Times New Roman, Times, serif; font-style:italic; color:#ffffff;text-shadow:  5px 5px 29px #a3b9e1;\"><font size=\"5\"><b>Rahu Ketu Peyarchi </b></font></p>"+
		                    ""+"<p align=\"justify\"><font color=\"#fafadc\" size=\""+fsize+"\" >"+
		                    ""+"Rahu is the ascending node and Ketu is the descending node of Moon. They are called as the Dragon's head and the Dragon's tail in Western astrology. Rahu is a shadowy planet worshipped as a deity in Indian astrology. Rahu is said to rule all dark forces and black practices. Rahu is the planet that rules the activities of sudden losses or sudden profits. <br><br>"+
		                    ""+"Ketu is known to afflict the Sun more than any other planet. This is in contrast to Rahu, which is said to afflict the Moon. Both Rahu and Ketu have no substance and are physically non-existent. Yet their influence is full of potency and spiritual significance. Their transits play an important role in our lives.<br><br>"+
		                    ""+"A full transit cycle of Rahu-Ketu lasts 18 years. Rahu-Ketu transit through each rashi axis for a period of 18 months. Rahu returns to each rashi every 18 years, and remains in that rashi for 18 months.<br><br>"+
		                      ""+"</font></p> "+ "</body></html>";
		             content.setBackgroundColor(0);
		             content.loadDataWithBaseURL("file:///android_res/drawable/",text, "text/html", "utf-8",null);  
		           //  layout.addView(content);
		            // home_scroll.addView(layout);
		  		  // relativeLayout.addView(home_scroll,rview);  
		//  setContentView(relativeLayout);
		           
	                }
	 @Override
     public boolean onCreateOptionsMenu(Menu menu) {
  	
		 MenuInflater inflater = getMenuInflater();
		    inflater.inflate(R.menu.main, menu);
		    menu.findItem(R.id.icon_rasi).setVisible(true);  
		 // animation = (AnimationView) menu.findItem(R.id.character);
		    return super.onCreateOptionsMenu(menu); 
		    
		    
     }

  @SuppressLint("NewApi")
	@Override
    public boolean onOptionsItemSelected(MenuItem item) {
	  if (item.getItemId() ==android.R.id.home) {
  		  Intent int_home = new Intent(this, home.class);
	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	             startActivity(int_home); 
  	  }
	  else if (item.getItemId() ==R.id.icon_rasi) {
  		  Intent int_home = new Intent(this, home.class);
	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	             startActivity(int_home); 
  	  }
	/*  else if (item.getItemId() ==R.id.rahu) {
  		  Intent int_home = new Intent(this, rahucontent.class);
	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	             startActivity(int_home); 
  	  }
	  else if (item.getItemId() ==R.id.rahupalan) {
	  		final ProgressDialog progressDoalog = new ProgressDialog(rahucontent.this);
	  		progressDoalog.setProgressDrawable(rahucontent.this.getResources().getDrawable(R.drawable.progress));  
	     progressDoalog.setMessage("Please Wait....");
	    progressDoalog.setTitle("Loading...");
	    progressDoalog.setProgressStyle(ProgressDialog.STYLE_SPINNER);
	    progressDoalog.setCancelable(true); 
	    progressDoalog.show();
	    new Thread() {
	        public void run() {
	            try {
	            	 Intent int_home = new Intent(rahucontent.this, palangal2017.class);
	  	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	  	             startActivity(int_home); 
	   	    		 
		  			 
	            } catch (Exception e) {
	            }
	            progressDoalog.dismiss();
	        }
	    }.start();
	  }*/
      		else if (item.getItemId() ==R.id.guru) {
	    
	    
AlertDialog.Builder alt_compat = new AlertDialog.Builder(this);
String desc="App to find out when Guru Peyarchi or Jupiter transit takes place.";	


	/*LinearLayout layout = new LinearLayout(this); 
	TextView tvMessage = new TextView(this);  
	tvMessage.setBackgroundColor(Color.parseColor("#e9b44f")); 
	tvMessage.setText(desc); 
  tvMessage.setPadding(5, 5, 5, 5);
	tvMessage.setTextSize(17); 
	layout.setOrientation(LinearLayout.VERTICAL);
	layout.addView(tvMessage); 
	alt_compat.setView(layout);  */

				alt_compat.setTitle("Guru Peyarchi");
				alt_compat.setMessage(desc); 
				alt_compat.setCancelable(false) 
						 
						                .setPositiveButton("Later", new DialogInterface.OnClickListener() {
						                    public void onClick(DialogInterface dialog, int id) {
						                    	 
						                    	 dialog.cancel();
						                    }
						                })
						                .setNegativeButton("Never/Already", new DialogInterface.OnClickListener() {
						                    public void onClick(DialogInterface dialog, int id) {
						                    	dialog.cancel();
						                    	      	  						                    }
						                })
						                
						                .setNeutralButton("Open", new DialogInterface.OnClickListener() {
						    public void onClick(DialogInterface dialog, int id) {
						    	
						    	
						     
						    	 Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse("market://details?id=findyourfate.com.gurupeyarchi"));
						    	 startActivity(browserIntent);
						    
						   
}
						    });
						
						      
						         AlertDialog alert = alt_compat.create();   
						         alert.show();

  	    	}
     		else if (item.getItemId() ==R.id.sani) {
    	  	    
    	  	    
  			  AlertDialog.Builder alt_compat = new AlertDialog.Builder(this);
  			  String desc="App to find out when Sani Peyarchi or Saturn transit takes place.";	
  			  
  			  
  				/*LinearLayout layout = new LinearLayout(this); 
  				TextView tvMessage = new TextView(this);  
  				tvMessage.setBackgroundColor(Color.parseColor("#e9b44f")); 
  				tvMessage.setText(desc); 
  			    tvMessage.setPadding(5, 5, 5, 5);
  				tvMessage.setTextSize(17); 
  				layout.setOrientation(LinearLayout.VERTICAL);
  				layout.addView(tvMessage); 
  				alt_compat.setView(layout);  */
  			  
  			  				alt_compat.setTitle("Sani Peyarchi");
  			  				alt_compat.setMessage(desc); 
  							alt_compat.setCancelable(false) 
  			  						 
  			  						                .setPositiveButton("Later", new DialogInterface.OnClickListener() {
  			  						                    public void onClick(DialogInterface dialog, int id) {
  			  						                    	 
  			  						                    	 dialog.cancel();
  			  						                    }
  			  						                })
  			  						                .setNegativeButton("Never/Already", new DialogInterface.OnClickListener() {
  			  						                    public void onClick(DialogInterface dialog, int id) {
  			  						                    	dialog.cancel();
  			  						                    	      	  						                    }
  			  						                })
  			  						                
  			  						                .setNeutralButton("Open", new DialogInterface.OnClickListener() {
  			  						    public void onClick(DialogInterface dialog, int id) {
  			  						    	
  			  						    	
  			  						     
  			  						    	 Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse("market://details?id=findyourfate.com.sanipeyarchi"));
  			  						    	 startActivity(browserIntent);
  			  						    
  			  						   
  			  }
  			  						    });
  			  						
  			  						      
  			  						         AlertDialog alert = alt_compat.create();   
  			  						         alert.show();

  			    	    	}
  	    	else if (item.getItemId() ==R.id.icon_exit) {
	     	AlertDialog.Builder builder = new AlertDialog.Builder(this);
		         builder.setMessage("Are you sure you want to leave this App.")
		                .setCancelable(false)
		                .setPositiveButton("Yes", new DialogInterface.OnClickListener() {
		                    public void onClick(DialogInterface dialog, int id) {
		                    	Intent intent = new Intent(Intent.ACTION_MAIN);
			       		    	intent.addCategory(Intent.CATEGORY_HOME);
			       		    	intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
			       		    	startActivity(intent);
		                    }
		                })
		                .setNegativeButton("No", new DialogInterface.OnClickListener() {
		                    public void onClick(DialogInterface dialog, int id) {
		                         dialog.cancel();
		                    }
		                });
		         AlertDialog alert1 = builder.create();
		         alert1.setTitle("Close App.");
		         alert1.setIcon(R.drawable.alert);
		         alert1.show();
  	    	}
  	    	
  	    	else if (item.getItemId() ==R.id.share) {
  	    		
	    	Intent emailIntent = new Intent(android.content.Intent.ACTION_SEND);
	    	emailIntent.setType("text/plain");
    		emailIntent.putExtra(android.content.Intent.EXTRA_SUBJECT, "Rahu-Ketu Peyarchi by findyourfate.com");
    		emailIntent.putExtra(android.content.Intent.EXTRA_TEXT, "Hi,I would like to suggest, this Rahu-Ketu Peyarchi App to you. Click this link to download app http://goo.gl/ypifK6"+"\n\n"+" Regards");
      startActivity(Intent.createChooser(emailIntent,"Share using")); 
  	    	}
  	    	 else {
  	     	} 
  	    	return true;
	           
	    
    }
     
 	@Override
	public void onBackPressed() {
		super.onBackPressed();
		rahucontent.this.finish();
	}
}
	  